Point Struct Reference

## Public Member Functions

| Point (double a=0.f, double b=0.f)

## Public Attributes

int | x
int | y
| Point respect to x coordinate.
double | x
double | y

## Detailed Description

Define a Point.

Define a point

## Constructor & Destructor Documentation

## Point()

Point::Point | ( | double | a = `0.f`,
|  | double | b = `0.f`
| ) |  |

inlineexplicit

construct a point

Parameters

  [in] | a | absicca (default = 0.0)
  [in] | b | ordinate (default = 0.0)

{
x = a;
y = b;
}
Point::y
int y
Point respect to x coordinate.
Definition: line_segment_intersection.cpp:14

## Member Data Documentation

## x

double Point::x

abscissa

## y

double Point::y

ordinate

The documentation for this struct was generated from the following files:

- geometry/line_segment_intersection.cpp
- others/smallest_circle.cpp